Page MenuHomePhabricator

Fix SpaceyParenthesisSniff can't fix not single space after opening parenthesis and before closing parenthesis
Closed, ResolvedPublic

Description

see changes in https://gerrit.wikimedia.org/r/#/c/275796/
the current SpaceyParenthesisSniff can't fix below as the comments say.

wffoo(  $a, $b );
wffoo(  $a, $b  );

and just fix

wffoo( $a,$b);
wffoo( );
wffoo($a, $b);

Related Objects

Event Timeline

Lethexie created this task.Mar 8 2016, 3:48 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMar 8 2016, 3:48 PM

Hi! I have problems to parse/understand this task's summary... What is the problem this task is actually about? Or is the task summary simply missing some punctuation and the "Can't..." stuff is a different sentence?

Also, to automatically get a link in this task to https://gerrit.wikimedia.org/r/#/c/275796/ by Gerritbot, please follow https://www.mediawiki.org/wiki/Gerrit/Commit_message_guidelines - thanks!

Lethexie renamed this task from Fix the SpaceyParenthesisSniff cann't fix wffoo( $a, $b ) and wffoo( $a ); to Fix the SpaceyParenthesisSniff can't fix wffoo(__$a, $b_) and wffoo(__$a__);.Mar 9 2016, 2:55 AM
Lethexie updated the task description. (Show Details)

@Aklapper Sorry,I input two space acturally. I don't know the reason why it just display single space :P
Oh,thanks for you reminder of Gerrit ,I will follow it :)

Lethexie renamed this task from Fix the SpaceyParenthesisSniff can't fix wffoo(__$a, $b_) and wffoo(__$a__); to Fix the bug of SpaceyParenthesisSniff .Mar 9 2016, 4:11 AM
Lethexie updated the task description. (Show Details)
Lethexie closed this task as Resolved.Mar 11 2016, 12:56 PM

@Lethexie: Please explain why you closed this task as RESOLVED. The patch in https://gerrit.wikimedia.org/r/#/c/275796/ is not merged yet.

Lethexie reopened this task as Open.Mar 12 2016, 10:03 AM

@Aklapper Should it be closed as RESOLVED util a patch is merged ? I thought mistakenly that it can be changed to RESOLVED once a patch had been submitted.

See https://www.mediawiki.org/wiki/Bug_management/Bug_report_life_cycle - if no code has been merged, nothing has been resolved for anybody...

I still don't know what "the bug" is in the summary of this task. Most tasks in Phabricator are about bugs so this feels vague... :)

Lethexie renamed this task from Fix the bug of SpaceyParenthesisSniff to Fix SpaceyParenthesisSniff can't fix not single space after opening parenthesis and before closing parenthesis.Mar 12 2016, 2:41 PM

@Aklapper I hava changed the summary of this task (T_T)

Umherirrender closed this task as Resolved.Aug 4 2017, 8:17 PM